cURL
curl --request POST \ --url https://api.scholarlysoftware.com/api/v1/additional_appointments \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/vnd.api+json' \ --data ' { "data": { "type": "additional_appointment", "attributes": { "title": "<string>", "effective_from": "2023-12-25", "custom_fields": {}, "label": "<string>", "featured": true, "external_id": "<string>", "effective_to": "2026-01-01", "percent_allocation": 100, "note": "<div>This is a note with <strong>formatting</strong></div>" }, "relationships": {} } } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "additional_appointment", "attributes": { "created_at": "<string>", "updated_at": "<string>", "custom_fields": {}, "is_current": true, "title": "<string>", "effective_from": "2023-12-25", "label": "<string>", "featured": true, "external_id": "<string>", "effective_to": "2026-01-01", "percent_allocation": 100, "note": "<div>This is a note with <strong>formatting</strong></div>", "note_as_plain_text": "This is a note with formatting" }, "relationships": { "profile": { "links": { "related": "<string>" }, "meta": {}, "data": { "type": "profile", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }, "department": { "links": { "related": "<string>" }, "meta": {}, "data": { "type": "department", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } } } } }
Create a new additional appointment
Documentation IndexFetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Bearer token
Show child attributes
additional appointment created